# Amuse: amuse::SongGroupIndex::MIDISetup Struct Reference

amuse::SongGroupIndex::MIDISetup Struct Reference

`#include <AudioGroupProject.hpp>`

Collaboration diagram for amuse::SongGroupIndex::MIDISetup:

## Public Attributes

uint8_t | programNo
uint8_t | volume
uint8_t | panning
uint8_t | reverb
uint8_t | chorus

## Detailed Description

Maps SongID to 16 MIDI channel numbers to GM program numbers and settings

Definition at line 37 of file AudioGroupProject.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupProject.hpp